<#ibizinclude>
../@MACRO/LAYOUTPANEL_VIEW.template.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_HEADER-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_CONTENT-BASE.vue.ftl
</#ibizinclude>

    /**
     * 布局大小
     *
     * @protected
     * @memberof ${srfclassname('${view.name}')}Base
     */
    protected size =  "6"

    /**
     * 按钮icon
     *
     * @protected
     * @memberof ${srfclassname('${view.name}')}Base
     */
    protected iconname = "grid-outline"


    /**
     * 布局切换事件
     *
     * @protected
     * @memberof ${srfclassname('${view.name}')}Base
     */ 
    protected changeSize(){
        if (this.size == "6") {
            this.size = "12";
            this.iconname = "list-outline"
        } else {
            this.size = "6";
            this.iconname = "grid-outline"
        }
    }

    /**
     * 排序对象
     *
     * @type {*}
     * @memberof ${srfclassname('${view.name}')}Base
     */
    public sort: any = { asc: "", desc: "" };

   /**
     * 排序
     *
     * @param {*} field
     * @memberof ${srfclassname('${view.name}')}Base
     */
    public setSort(field: any) {
        if (this.sort.desc == field) {
            this.sort.desc = "";
            this.viewState.next({ tag: 'dataview', action: 'load', data: {} });
            return
        }
        if (this.sort.asc == field) {
            this.sort.asc = "";
            this.sort.desc = field;
            this.viewState.next({ tag: 'dataview', action: 'load', data: { sort: field + ",desc" } });
        } else {
            this.sort.asc = field;
            this.sort.desc = "";
            this.viewState.next({ tag: 'dataview', action: 'load', data: { sort: field + ",asc" } });
        }
    }

<#ibizinclude>
../@MACRO/VIEW_BOTTOM-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW-BASE.style.ftl
</#ibizinclude>